import { jsx } from "react/jsx-runtime";
import { WalletSoul as WalletSoul$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const WalletSoul = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "Soul", "data-name": "WalletSoul", ...props, children: /* @__PURE__ */ jsx(WalletSoul$1, { variant }) });
  }
);
WalletSoul.displayName = "WalletSoul";
Object.assign(WalletSoul, { isGdsIcon: true });
export {
  WalletSoul
};
